Categories:
  - Graphics
  - Multimedia
License: GPL-3.0-only
AuthorName: The Krita Foundation
WebSite: https://krita.org/en/
SourceCode: https://invent.kde.org/graphics/krita
IssueTracker: https://bugs.kde.org/
Donate: https://krita.org/en/support-us/donations

Description: |-
    Krita is a professional painting program.
    It is made by artists that want to see affordable
    art tools for everyone.

    It's designed primarily for digital painting and
    2D animation and features an OpenGL-accelerated canvas,
    colour management support, an advanced brush engine,
    non-destructive layers and masks, group-based layer
    management, vector artwork support and switchable
    customisation profiles.

    Note: android version of krita is optimized only
    for tablets and may behave poorly on phone screens.

RepoType: git
Repo: https://invent.kde.org/graphics/krita

Builds:
  - versionName: 4.4.2
    versionCode: 1040404
    commit: v4.4.2
    timeout: 30000
    sudo:
      - find ./android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name "android-21"
        -not -name "android-28" -exec rm -rf {} \;
      - apt update || apt update
      - apt install -y build-essential
      - apt install -y -t stretch-backports-sloppy libarchive13
      - apt install -y -t stretch-backports cmake
    patch:
      - remove_billing.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita_build_apk-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=460108860d50af4a2e4205453c1549fc10ff89a3
      - export ANDROID_ABI=armeabi-v7a
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir -p ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - git apply remove_billing_actual.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r21d

  - versionName: 5.0.2
    versionCode: 1050006
    commit: v5.0.2
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.2.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-armeabi-v7a-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=3ce8590a94407ea17a6f3ce8d2772ea8a7e86075
      - export ANDROID_ABI=armeabi-v7a
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - git apply 0001-fix-exiv2-url.patch
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 5.0.6
    versionCode: 1050008
    commit: v5.0.6
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.6.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-armeabi-v7a-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=9e783a33345bbae786d7cc32014c0042af8e961a
      - export ANDROID_ABI=armeabi-v7a
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 4.4.2
    versionCode: 2040404
    commit: v4.4.2
    timeout: 30000
    sudo:
      - find ./android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name "android-21"
        -not -name "android-28" -exec rm -rf {} \;
      - apt update || apt update
      - apt install -y build-essential
      - apt install -y -t stretch-backports-sloppy libarchive13
      - apt install -y -t stretch-backports cmake
    patch:
      - remove_billing.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita_build_apk-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=0945e06a20d830d33ff0b9b5a1b03c71fc745ae9
      - export ANDROID_ABI=arm64-v8a
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir -p ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - git apply remove_billing_actual.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r21d

  - versionName: 5.0.2
    versionCode: 2050006
    commit: v5.0.2
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.2.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-arm64-v8a-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=3ce8590a94407ea17a6f3ce8d2772ea8a7e86075
      - export ANDROID_ABI=arm64-v8a
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - git apply 0001-fix-exiv2-url.patch
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 5.0.6
    versionCode: 2050008
    commit: v5.0.6
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.6.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-arm64-v8a-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=9e783a33345bbae786d7cc32014c0042af8e961a
      - export ANDROID_ABI=arm64-v8a
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 4.4.2
    versionCode: 3040404
    commit: v4.4.2
    timeout: 30000
    sudo:
      - find ./android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name "android-21"
        -not -name "android-28" -exec rm -rf {} \;
      - apt update || apt update
      - apt install -y build-essential
      - apt install -y -t stretch-backports-sloppy libarchive13
      - apt install -y -t stretch-backports cmake
    patch:
      - remove_billing.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita_build_apk-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=460108860d50af4a2e4205453c1549fc10ff89a3
      - export ANDROID_ABI=x86
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir -p ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - git apply remove_billing_actual.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r21d

  - versionName: 5.0.2
    versionCode: 3050006
    commit: v5.0.2
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.2.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-x86-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=7175ca9c9f4cea94cea11f6709a74e25f31ff137
      - export ANDROID_ABI=x86
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - git apply 0001-fix-exiv2-url.patch
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 5.0.6
    versionCode: 3050008
    commit: v5.0.6
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.6.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-x86-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=9e783a33345bbae786d7cc32014c0042af8e961a
      - export ANDROID_ABI=x86
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 4.4.2
    versionCode: 4040404
    commit: v4.4.2
    timeout: 30000
    sudo:
      - find ./android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name "android-21"
        -not -name "android-28" -exec rm -rf {} \;
      - apt update || apt update
      - apt install -y build-essential
      - apt install -y -t stretch-backports-sloppy libarchive13
      - apt install -y -t stretch-backports cmake
    patch:
      - remove_billing.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita_build_apk-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=460108860d50af4a2e4205453c1549fc10ff89a3
      - export ANDROID_ABI=x86_64
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir -p ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - git apply remove_billing_actual.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r21d

  - versionName: 5.0.2
    versionCode: 4050006
    commit: v5.0.2
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.2.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-x86_64-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=3ce8590a94407ea17a6f3ce8d2772ea8a7e86075
      - export ANDROID_ABI=x86_64
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - git apply 0001-fix-exiv2-url.patch
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 5.0.6
    versionCode: 4050008
    commit: v5.0.6
    timeout: 30000
    sudo:
      - find /opt/android-sdk/platforms -type d -mindepth 1 -maxdepth 1 -not -name
        "android-28" -exec rm -rf {} \;
      - apt-get update
      - apt-get install -y build-essential
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    init: sed -i '/com.android.billingclient/d' packaging/android/apk/build.gradle
    patch:
      - v5.0.6.patch
    output: build/krita_build_apk/build/outputs/apk/release/krita-x86_64-$$VERSION$$-release-unsigned.apk
    scanignore:
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
      - libs/flake/tests/data/store.zip
      - libs/flake/tests/data/odf_frame_resource_store.zip
    build:
      - export DEP_COMMIT=9e783a33345bbae786d7cc32014c0042af8e961a
      - export ANDROID_ABI=x86_64
      - export BUILD_ROOT=$(pwd)
      - export ANDROID_API_LEVEL=23
      - export CMAKE_ANDROID_NDK=$$NDK$$
      - export ANDROID_SDK_ROOT=$$SDK$$
      - export SUBDIR=${BUILD_ROOT}/packaging/android
      - mkdir ${BUILD_ROOT}/build
      - git reset --hard $DEP_COMMIT
      - echo 'gradle "$@"' > ${SUBDIR}/apk/gradlew
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=boost
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=qt
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=3rdparty
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=kf5
      - git reset --hard $$COMMIT$$
      - mkdir ${BUILD_ROOT}/po
      - python3 ${BUILD_ROOT}/build-tools/copy_po.py
      - git apply 0001-remove_billing.patch
      - git apply 0002-restore_abi.patch
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=krita-bin
      - ${SUBDIR}/androidbuild.sh --src=${BUILD_ROOT} --build-type=Release --build-root=${BUILD_ROOT}/build
        -p=apk
    ndk: r22b

  - versionName: 5.1.3
    versionCode: 5011601
    commit: 5.1.3
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y make g++ python-is-python3 gettext subversion bzip2 xz-utils
      - rm -rf /opt/android-sdk/platforms
      - sdkmanager 'platforms;android-28' 'platforms;android-31'
    output: build/krita_build_apk/build/outputs/apk/release/krita-armeabi-v7a-$$VERSION$$-release-unsigned.apk
    rm:
      - libs/flake/tests/data/*.zip
      - packaging/linux
      - packaging/macos
      - packaging/steam
      - packaging/windows
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
    prebuild:
      - git checkout 27a9cc22f76a9b9934f939ea2fb57e52bef8aa2a -- 3rdparty
      - python3 build-tools/copy_po.py
      - sed -i -e 's/donationLink->show();/donationLink->hide();/' libs/ui/KisWelcomePageWidget.cpp
      - cd packaging/android/apk
      - echo 'gradle "$@"' > gradlew
      - sed -i -e '/billing/d' -e 's/versionCode .*/versionCode $$VERCODE$$/' build.gradle
      - sed -i -e '/BILLING/d' AndroidManifest.xml
      - rm src/org/krita/android/DonationHelper.java
      - sed -i -e '/DonationHelper/d' src/org/krita/android/MainActivity.java
    build: MAKEFLAGS=-j$(nproc) packaging/android/androidbuild.sh -p=all --src=$(pwd)
        --build-type=Release --build-root=$(pwd)/build --ndk-path=$$NDK$$ --sdk-path=$$SDK$$
        --android-abi=armeabi-v7a
    ndk: r22b

  - versionName: 5.1.3
    versionCode: 5011602
    commit: 5.1.3
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y make g++ python-is-python3 gettext subversion bzip2 xz-utils
      - rm -rf /opt/android-sdk/platforms
      - sdkmanager 'platforms;android-28' 'platforms;android-31'
    output: build/krita_build_apk/build/outputs/apk/release/krita-arm64-v8a-$$VERSION$$-release-unsigned.apk
    rm:
      - libs/flake/tests/data/*.zip
      - packaging/linux
      - packaging/macos
      - packaging/steam
      - packaging/windows
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
    prebuild:
      - git checkout 27a9cc22f76a9b9934f939ea2fb57e52bef8aa2a -- 3rdparty
      - python3 build-tools/copy_po.py
      - sed -i -e 's/donationLink->show();/donationLink->hide();/' libs/ui/KisWelcomePageWidget.cpp
      - cd packaging/android/apk
      - echo 'gradle "$@"' > gradlew
      - sed -i -e '/billing/d' -e 's/versionCode .*/versionCode $$VERCODE$$/' build.gradle
      - sed -i -e '/BILLING/d' AndroidManifest.xml
      - rm src/org/krita/android/DonationHelper.java
      - sed -i -e '/DonationHelper/d' src/org/krita/android/MainActivity.java
    build: MAKEFLAGS=-j$(nproc) packaging/android/androidbuild.sh -p=all --src=$(pwd)
        --build-type=Release --build-root=$(pwd)/build --ndk-path=$$NDK$$ --sdk-path=$$SDK$$
        --android-abi=arm64-v8a
    ndk: r22b

  - versionName: 5.1.3
    versionCode: 5011603
    commit: 5.1.3
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y make g++ python-is-python3 gettext subversion bzip2 xz-utils
      - rm -rf /opt/android-sdk/platforms
      - sdkmanager 'platforms;android-28' 'platforms;android-31'
    output: build/krita_build_apk/build/outputs/apk/release/krita-x86-$$VERSION$$-release-unsigned.apk
    rm:
      - libs/flake/tests/data/*.zip
      - packaging/linux
      - packaging/macos
      - packaging/steam
      - packaging/windows
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
    prebuild:
      - git checkout 27a9cc22f76a9b9934f939ea2fb57e52bef8aa2a -- 3rdparty
      - python3 build-tools/copy_po.py
      - sed -i -e 's/donationLink->show();/donationLink->hide();/' libs/ui/KisWelcomePageWidget.cpp
      - cd packaging/android/apk
      - echo 'gradle "$@"' > gradlew
      - sed -i -e '/billing/d' -e 's/versionCode .*/versionCode $$VERCODE$$/' build.gradle
      - sed -i -e '/BILLING/d' AndroidManifest.xml
      - rm src/org/krita/android/DonationHelper.java
      - sed -i -e '/DonationHelper/d' src/org/krita/android/MainActivity.java
    build: MAKEFLAGS=-j$(nproc) packaging/android/androidbuild.sh -p=all --src=$(pwd)
        --build-type=Release --build-root=$(pwd)/build --ndk-path=$$NDK$$ --sdk-path=$$SDK$$
        --android-abi=x86
    ndk: r22b

  - versionName: 5.1.3
    versionCode: 5011604
    commit: 5.1.3
    timeout: 30000
    sudo:
      - apt-get update
      - apt-get install -y -t bullseye-backports cmake
      - apt-get install -y make g++ python-is-python3 gettext subversion bzip2 xz-utils
      - rm -rf /opt/android-sdk/platforms
      - sdkmanager 'platforms;android-28' 'platforms;android-31'
    output: build/krita_build_apk/build/outputs/apk/release/krita-x86_64-$$VERSION$$-release-unsigned.apk
    rm:
      - libs/flake/tests/data/*.zip
      - packaging/linux
      - packaging/macos
      - packaging/steam
      - packaging/windows
      - plugins/extensions/pykrita/plugin/krita/sceditor/rope.zip
    prebuild:
      - git checkout 27a9cc22f76a9b9934f939ea2fb57e52bef8aa2a -- 3rdparty
      - python3 build-tools/copy_po.py
      - sed -i -e 's/donationLink->show();/donationLink->hide();/' libs/ui/KisWelcomePageWidget.cpp
      - cd packaging/android/apk
      - echo 'gradle "$@"' > gradlew
      - sed -i -e '/billing/d' -e 's/versionCode .*/versionCode $$VERCODE$$/' build.gradle
      - sed -i -e '/BILLING/d' AndroidManifest.xml
      - rm src/org/krita/android/DonationHelper.java
      - sed -i -e '/DonationHelper/d' src/org/krita/android/MainActivity.java
    build: MAKEFLAGS=-j$(nproc) packaging/android/androidbuild.sh -p=all --src=$(pwd)
        --build-type=Release --build-root=$(pwd)/build --ndk-path=$$NDK$$ --sdk-path=$$SDK$$
        --android-abi=x86_64
    ndk: r22b

MaintainerNotes: |-
    (1) Compilation fails if older versions of the SDK are present, so we're
    removing unneeded ones.
    (2) Dependencies are built using a recent commit from the master branch.
    The exact commits and the logs for the deps and the app builds can be
    found on KDE jenkins:
      https://binary-factory.kde.org/job/Krita_Release_Android_arm64-v8a_Build
      https://binary-factory.kde.org/job/Krita_Android_arm64-v8a_Dependency_Build
    (3) Translations are downloaded as part of the release process. They are
    included in the release tarball, and the official builds are based upon it.
    We can add FETCH_TRANSLATIONS to the build options or just run copy_po.py
    before building krita.
    (4) Patches at metadata/org.krita/*.patch actually create another patches
    in the project's root directory, since otherwise fdroid lint fails with
    unused file.
    (7) Version code schema:
    abi: ['armeabi-v7a': 1, 'arm64-v8a': 2, 'x86': 3, 'x86_64': 4]
    versionMajor * 1000000 + versionMinor * 10000 + versionRelease * 100 + abi

ArchivePolicy: 12 versions
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 5.1.3
CurrentVersionCode: 5011604
